App\SessionsBundle\Entity\Sites:
  type: entity
  table: sites
  repositoryClass: App\SessionsBundle\Repository\SitesRepository
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    site_host_name:
      type: string
      length: 255
    site_name:
      type: string
      length: 255
      nullable: true
    site_e_mail:
      type: string
      length: 255
      nullable: true
    server_ip:
      type: string
      length: 255
    site_port:
      type: integer
    template_id:
      type: string
      length: 255
      nullable: true
    session_count:
      type: integer
      options:
          default: 0
    build_site_map:
      type: boolean
      options:
        default: false
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
      nullable: true
  oneToMany:
    sessions:
        targetEntity: Sessions
        mappedBy: sites
    user_list:
      targetEntity: App\UserBundle\Entity\UserList
      mappedBy: site
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]